const alij_settings = window.wc.wcSettings.getSetting( 'wc_alij_payment_data', {} );
const alij_label = window.wp.htmlEntities.decodeEntities( alij_settings.title ) || window.wp.i18n.__( 'Credit-card Payment', 'wc_alij_payment' );
const alij_content = () => {
    return window.wp.htmlEntities.decodeEntities( alij_settings.description || 'Anotherlane' );
};
const Block_Alij = {
    name: 'wc_alij_payment',
    label: alij_label,
    content: Object( window.wp.element.createElement )( alij_content, null ),
    edit: Object( window.wp.element.createElement )( alij_content, null ),
    canMakePayment: () => true,
    ariaLabel: alij_label,
    supports: {
        features: alij_settings.supports,
    },
};
window.wc.wcBlocksRegistry.registerPaymentMethod( Block_Alij );